#if !defined(AFX_TOOLBOX_H__1D991145_F057_11D6_8B3B_BF91220BFA5A__INCLUDED_)
#define AFX_TOOLBOX_H__1D991145_F057_11D6_8B3B_BF91220BFA5A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TOOLBOX.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTOOLBOX dialog

class CTOOLBOX : public CDialog
{
// Construction
public:
	int y;
	int x;
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	void CTOOLBOX::EnableVisibleChildren();
	//int CursorValue;
	

	int Value;
	CTOOLBOX(CWnd* pParent = NULL);   // standard constructor
	CToolTipCtrl m_tooltip;
	enum kind {RLS, AND,NAND,OR,NOR,NOT,XOR,XNOR,UD,DLR,SLR,_1TO2LR,UL,UR,DL,DR,_DEL,EMPTY,START,END};
	kind CursorValue;

// Dialog Data
	//{{AFX_DATA(CTOOLBOX)
	enum { IDD = IDD_TOOLBOX };
	CStatic	m_Frame;
	CString	m_EGate2;
	int		m_EOX2;
	int		m_EOY2;
	int		m_EX2;
	int		m_rOption;
	//}}AFX_DATA
	

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTOOLBOX)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
	

// Implementation
protected:


	// Generated message map functions
	//{{AFX_MSG(CTOOLBOX)
	afx_msg void OnBand();
	virtual BOOL OnInitDialog();
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	afx_msg void OnBnand();
	afx_msg void OnBor();
	afx_msg void OnBnor();
	afx_msg void OnBnot();
	afx_msg void OnBxor();
	afx_msg void OnBxnor();
	afx_msg void OnBdr();
	afx_msg void OnBdl();
	afx_msg void OnBur();
	afx_msg void OnBul();
	afx_msg void OnBud();
	afx_msg void OnBlr();
	afx_msg void OnBrelease();
	afx_msg void OnBlr2();
	afx_msg void OnBslr();
	afx_msg void OnPaint();
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnBstart();
	afx_msg void OnBend();
	afx_msg void OnBdelete();
	afx_msg void OnBunexpand();
	afx_msg void OnBexpand();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TOOLBOX_H__1D991145_F057_11D6_8B3B_BF91220BFA5A__INCLUDED_)
